This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 484363 - (ggz-base-libs) Review Request: ggz-base-libs - Base libraries for GGZ gaming zone
Review Request: ggz-base-libs - Base libraries for GGZ gaming zone
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-06 09:23 EST by Rex Dieter
Modified: 2009-11-09 15:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-09 15:12:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tuxbrewr: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2009-02-06 09:23:25 EST
Spec URL: http://rdieter.fedorapeople.org/pkg-reviews/ggz-base-libs/ggz-base-libs.spec
SRPM URL: http://rdieter.fedorapeople.org/pkg-reviews/ggz-base-libs/ggz-base-libs-0.99.5-1.src.rpm
Description:
GGZ (which is a recursive acronym for GGZ Gaming Zone) develops libraries,
games and game-related applications for client-server online gaming. Player
rankings, game spectators, AI players and a chat bot are part of this effort.

A new review required since upstream merged previous libggz, ggz-client-libs into a new ggz-base-libs module.

* Fri Feb 06 2009 Rex Dieter <rdieter@fedoraproject.org> 0.99.5-1
- ggz-base-libs-snapshot-0.99.5
- Obsoletes/Provides: libggz,ggz-client-libs

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1109295
for dist-f10, dist-f11+ looks like it needs some additional libtool(2) love, yay.

rpmlint output: (using my f8 rpmlint)
ggz-base-libs.i386: W: devel-file-in-non-devel-package /usr/bin/ggz-config
ggz-base-libs.i386: W: non-conffile-in-etc /etc/xdg/menus/ggz.menu
ggz-base-libs.i386: W: non-conffile-in-etc /etc/xdg/menus/applications-merged/ggz.merge.menu
ggz-base-libs-devel.i386: W: non-conffile-in-etc /etc/rpm/macros.ggz
4 packages and 0 specfiles checked; 0 errors, 4 warnings.

These all are harmless here.
Comment 1 Rex Dieter 2009-03-10 09:30:59 EDT
%changelog
* Tue Mar 10 2009 Rex Dieter <rdieter@fedoraproject.org> 0.99.5-2
- drop --with-tls (busted), fixes f11+ build

Spec URL:
http://rdieter.fedorapeople.org/pkg-reviews/ggz-base-libs/ggz-base-libs.spec
SRPM URL:
http://rdieter.fedorapeople.org/pkg-reviews/ggz-base-libs/ggz-base-libs-0.99.5-2.src.rpm

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1234727
Comment 2 Steven M. Parrish 2009-03-10 18:17:45 EDT
MUST: rpmlint must be run on every package.
- Checked spec file and src.rpm   0 errors, 0 warnings

MUST: The package must be named according to the Package Naming Guidelines
OK

MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption.
OK

MUST: The package must meet the Packaging Guidelines
ok

MUST: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines
OK

MUST: The License field in the package spec file must match the actual license.
OK

MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc
OK

MUST: The spec file must be written in American English.
OK

MUST: The spec file for the package MUST be legible.
OK

MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL.
OK

MUST: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.
OK all archs

MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch.
OK

MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.
OK

MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
OK

MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in %post and %postun.
OK

MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
OK

MUST: A package must own all directories that it creates. If it does not create
a directory that it uses, then it should require a package which does create
that directory.
OK

MUST: A package must not contain any duplicate files in the %files listing.
OK

MUST: Permissions on files must be set properly. Executables should be set with
executable permissions, for example. Every %files section must include a
%defattr(...) line.
OK

MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
OK

MUST: Each package must consistently use macros.
OK

MUST: The package must contain code, or permissable content.
OK

MUST: Large documentation files must go in a -doc subpackage. (The definition
of large is left up to the packager's best judgement, but is not restricted to
size. Large can refer to either size or quantity).
OK

MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.
OK

MUST: Header files must be in a -devel package.
OK

MUST: Static libraries must be in a -static package.
OK

MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).
OK

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel
package.
OK

MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
OK

MUST: Packages must NOT contain any .la libtool archives, these must be removed
in the spec if they are built.
OK

MUST: Packages containing GUI applications must include a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the
%install section. If you feel that your packaged GUI application does not need
a .desktop file, you must put a comment in the spec file with your explanation.
OK

MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time.
OK

MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
OK

MUST: All filenames in rpm packages must be valid UTF-8.
OK


------- 

Looks good to me.  Approved.
Comment 3 Rex Dieter 2009-03-18 09:01:22 EDT
New Package CVS Request
=======================
Package Name: ggz-base-libs
Short Description: Base libraries for GGZ gaming zone
Owners: rdieter
Branches: 
InitialCC: bpepple
Comment 4 Kevin Fenzi 2009-03-19 23:02:45 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.